Bug 594503 - Add a feature flag attribute to the multipath structure
Summary: Add a feature flag attribute to the multipath structure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Mike Snitzer
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks: 534151
TreeView+ depends on / blocked
 
Reported: 2010-05-20 20:57 UTC by Mike Snitzer
Modified: 2010-11-15 14:27 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-15 14:27:34 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Mike Snitzer 2010-05-20 20:57:21 UTC
Allows DM to accomodate future structure changes during the RHEL6                                                                                                      
life-cycle.  The relatively recent request-based multipath support                                                                                                     
made various changes to 'struct multipath'.  Also a future IBM abort                                                                                                   
request patchset will require this features flag to be available:                                                                                                      
https://www.redhat.com/archives/dm-devel/2010-May/msg00014.html

Comment 1 RHEL Program Management 2010-05-20 21:21:11 UTC
This feature request did not get resolved in time for Feature Freeze
for the current Red Hat Enterprise Linux release and has now been
denied. You may re-open your request by requesting your support
representative to propose it for the next release.

Comment 5 Aristeu Rozanski 2010-05-28 20:38:08 UTC
Patch(es) available on kernel-2.6.32-31.el6

Comment 8 michal novacek 2010-09-17 14:59:13 UTC
This is very simple change -- only reviewed that the above mentioned change is in drivers/md/dm-mpath.c in kernel-2.6.32-31.el6 and that it is possible to compile the code.

Comment 10 releng-rhel@redhat.com 2010-11-15 14:27:34 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.